svn2cl commit: r172 - in debian/svn2cl/trunk/debian: . tests
[
Date Prev][
Date Next]
[
Thread Prev][
Thread Next]
svn2cl commit: r172 - in debian/svn2cl/trunk/debian: . tests
- From: Commits of the svn2cl project <svn2cl-commits [at] lists.arthurdejong.org>
- To: svn2cl-commits [at] lists.arthurdejong.org
- Reply-to: svn2cl-users [at] lists.arthurdejong.org, svn2cl-commits [at] lists.arthurdejong.org
- Subject: svn2cl commit: r172 - in debian/svn2cl/trunk/debian: . tests
- Date: Tue, 27 Aug 2019 17:33:00 -0000
Author: arthur
Date: Tue Aug 27 19:32:59 2019
New Revision: 172
URL: http://arthurdejong.org/viewvc/svn2cl?revision=172&view=revision
Log:
Add a simple autopkgtest test suite
Added:
debian/svn2cl/trunk/debian/tests/
debian/svn2cl/trunk/debian/tests/control
debian/svn2cl/trunk/debian/tests/testsuite (contents, props changed)
Modified:
debian/svn2cl/trunk/debian/changelog
Modified: debian/svn2cl/trunk/debian/changelog
==============================================================================
--- debian/svn2cl/trunk/debian/changelog Tue Aug 27 18:56:13 2019
(r171)
+++ debian/svn2cl/trunk/debian/changelog Tue Aug 27 19:32:59 2019
(r172)
@@ -4,8 +4,9 @@
* Change package priority to optional
* Upgrade to standards-version 4.4.0 (no changes needed)
* Use debhelper-compat instead of debian/compat and switch to 12
+ * Add a simple autopkgtest test suite
- -- Arthur de Jong <adejong@debian.org> Tue, 27 Aug 2019 18:49:30 +0200
+ -- Arthur de Jong <adejong@debian.org> Tue, 27 Aug 2019 19:29:49 +0200
svn2cl (0.14-1) unstable; urgency=low
Added: debian/svn2cl/trunk/debian/tests/control
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ debian/svn2cl/trunk/debian/tests/control Tue Aug 27 19:32:59 2019
(r172)
@@ -0,0 +1 @@
+Tests: testsuite
Added: debian/svn2cl/trunk/debian/tests/testsuite
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ debian/svn2cl/trunk/debian/tests/testsuite Tue Aug 27 19:32:59 2019
(r172)
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# testsuite - run installation tests
+#
+# Copyright (C) 2019 Arthur de Jong
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in
+# the documentation and/or other materials provided with the
+# distribution.
+# 3. The name of the author may not be used to endorse or promote
+# products derived from this software without specific prior
+# written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# Fail on any errors
+set -e
+
+# get the script name
+script="`basename "$0"`"
+
+# Redirect stderr to stdout
+exec 2>&1
+
+echo "$script: Create SVN repo..."
+svnrepo=`mktemp -d -t svnrepo.XXXXXX`
+svnadmin create "$svnrepo"
+
+echo "$script: Check out repo..."
+svnco=`mktemp -d -t svnco.XXXXXX`
+cd "$svnco"
+svn checkout "file://$svnrepo" .
+
+echo "$script: Make an initial commit..."
+echo 'Some random text' > test.txt
+svn add test.txt
+svn commit -m 'Test commit'
+svn update
+
+echo "$script: Generate ChangeLog file..."
+svn2cl > ChangeLog
+
+echo "$script: Check that our commit message was found..."
+grep -q 'Test commit' ChangeLog
+
+echo "$script: OK"
+
+echo "$script: Cleaning up..."
+cd /
+rm -rf "$svnrepo" "$svnco"
+exit 0
- svn2cl commit: r172 - in debian/svn2cl/trunk/debian: . tests,
Commits of the svn2cl project